#include "colors.inc"
#include "skies.inc"

camera {
	location <-6,17,-4>
//	location <-4, 17, -4>
	look_at <0,1,0>
}


light_source {
  <100, 700, 100>
  color rgb <1.000, 1.000, 1.000>
}

#declare T_Sand1 = texture {
	pigment { color rgb <0.996094, 0.996094, 0.5> }
	normal {
		bumps 0.5
		scale <.01,.01,.01>
	}
	finish { ambient 0.2 }
}

#declare T_Sand2 = texture {
	pigment { color rgb <0.6972, 0.6972, 0.350> }
	normal {
		bumps 0.5
		scale <.01,.01,.01>
	}
	finish { ambient 0.2 }
}

#local Dunes = object {
	height_field {
		tga "dunes.tga"
		smooth
		water_level 0.0
	}
	translate <-0.5, 0, -0.5>
	scale <50, 16, 50>
}

#local Graffiti = object {
	text { ttf "BLOODY.TTF" "ROLFO WAS HERE" 13, 0.08*z }

	rotate x*90
	rotate y*90
	rotate y*-5
	scale <1.5, 1000, 2.0>
	translate <-4, 100, 8>
}

merge {
	intersection {
		object { Dunes }
		object { Graffiti }

		scale 1.01
		texture { T_Sand2 }
	}

	object { Dunes
	  texture { T_Sand1 }
	}
}
